<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4100
Name: Transportation Observation Organizer
Description: Transportation Observation Organizer
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4100-2017-02-08T000000">
   <title>Transportation Observation Organizer</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4100
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4100']]]
Item: (TransportationObservationOrganizer)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4100
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4100']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4100']]
Item: (TransportationObservationOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4100']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4100']]"
         id="d127e4040-false-d106557e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4100-2017-02-08T000000.html"
              test="string(@classCode)=('CLUSTER')">(TransportationObservationOrganizer): Der Wert von @classCode MUSS 'CLUSTER' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4100-2017-02-08T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(TransportationObservationOrganizer): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4100-2017-02-08T000000.html"
              test="string(@moodCode)=('EVN')">(TransportationObservationOrganizer): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4100-2017-02-08T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(TransportationObservationOrganizer): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4100-2017-02-08T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4100'])&gt;=1">(TransportationObservationOrganizer): Element hl7:templateId[@root='1.2.276.0.76.10.4100'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4100-2017-02-08T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4100'])&lt;=1">(TransportationObservationOrganizer): Element hl7:templateId[@root='1.2.276.0.76.10.4100'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4100-2017-02-08T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(TransportationObservationOrganizer): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4100-2017-02-08T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(TransportationObservationOrganizer): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4100-2017-02-08T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4098']]])&gt;=1">(TransportationObservationOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4098']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4100-2017-02-08T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4098']]])&lt;=1">(TransportationObservationOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4098']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4100
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4100']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4100']]/hl7:templateId[@root='1.2.276.0.76.10.4100']
Item: (TransportationObservationOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4100']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4100']]/hl7:templateId[@root='1.2.276.0.76.10.4100']"
         id="d127e4046-false-d106643e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4100-2017-02-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransportationObservationOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4100-2017-02-08T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4100')">(TransportationObservationOrganizer): Der Wert von @root MUSS '1.2.276.0.76.10.4100' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4100-2017-02-08T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(TransportationObservationOrganizer): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4100
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4100']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4100']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (TransportationObservationOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4100']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4100']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e4051-false-d106664e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4100-2017-02-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransportationObservationOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4100-2017-02-08T000000.html"
              test="@nullFlavor or (@code='completed')">(TransportationObservationOrganizer): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4100
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4100']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4100']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4098']]]
Item: (TransportationObservationOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4100']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4100']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4098']]]">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4100-2017-02-08T000000.html"
              test="string(@typeCode)=('COMP')">(TransportationObservationOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4100-2017-02-08T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(TransportationObservationOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4100-2017-02-08T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(TransportationObservationOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4100-2017-02-08T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(TransportationObservationOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>
</pattern>
