<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4104
Name: Intoxication Alcohol Drug Observation
Description: Intoxication Alcohol Drug Observation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4104-2017-02-01T000000">
   <title>Intoxication Alcohol Drug Observation</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4104
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4104']]]
Item: (IntoxicationAlcoholDrugObservation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4104
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4104']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4104']]
Item: (IntoxicationAlcoholDrugObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4104']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4104']]"
         id="d127e4371-false-d108690e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4104-2017-02-01T000000.html"
              test="string(@classCode)=('OBS')">(IntoxicationAlcoholDrugObservation): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4104-2017-02-01T000000.html"
              test="string(@moodCode)=('EVN')">(IntoxicationAlcoholDrugObservation): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4104-2017-02-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4104'])&gt;=1">(IntoxicationAlcoholDrugObservation): Element hl7:templateId[@root='1.2.276.0.76.10.4104'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4104-2017-02-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4104'])&lt;=1">(IntoxicationAlcoholDrugObservation): Element hl7:templateId[@root='1.2.276.0.76.10.4104'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4104-2017-02-01T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])&gt;=1">(IntoxicationAlcoholDrugObservation): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4104-2017-02-01T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])&lt;=1">(IntoxicationAlcoholDrugObservation): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4104-2017-02-01T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(IntoxicationAlcoholDrugObservation): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4104-2017-02-01T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(IntoxicationAlcoholDrugObservation): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4104-2017-02-01T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.77-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])&gt;=1">(IntoxicationAlcoholDrugObservation): Element hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.77-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4104-2017-02-01T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.77-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])&lt;=1">(IntoxicationAlcoholDrugObservation): Element hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.77-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4104
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4104']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4104']]/hl7:templateId[@root='1.2.276.0.76.10.4104']
Item: (IntoxicationAlcoholDrugObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4104']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4104']]/hl7:templateId[@root='1.2.276.0.76.10.4104']"
         id="d127e4377-false-d108760e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4104-2017-02-01T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4104')">(IntoxicationAlcoholDrugObservation): Der Wert von @root MUSS '1.2.276.0.76.10.4104' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4104
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4104']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4104']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]
Item: (IntoxicationAlcoholDrugObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4104']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4104']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]"
         id="d127e4382-false-d108776e0">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4104-2017-02-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.78-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(IntoxicationAlcoholDrugObservation): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.78 Intoxikation, Alkohol, Drogen (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4104
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4104']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4104']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (IntoxicationAlcoholDrugObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4104']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4104']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e4387-false-d108797e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4104-2017-02-01T000000.html"
              test="@nullFlavor or (@code='completed')">(IntoxicationAlcoholDrugObservation): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4104
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4104']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4104']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.77-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]
Item: (IntoxicationAlcoholDrugObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4104']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4104']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.77-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]"
         id="d127e4393-false-d108816e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4104-2017-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(IntoxicationAlcoholDrugObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4104-2017-02-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.77-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(IntoxicationAlcoholDrugObservation): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.77 Verdacht j/n (DYNAMIC)' sein.</assert>
   </rule>
</pattern>
