<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.1021
Name: Trauma Summary CDA document
Description: Informationen im Rahmen des AKTIN Traumamoduls als CDA Dokument
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.1021-2016-11-01T000000-closed">
   <title>Trauma Summary CDA document</title>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/*[not(self::hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']])]"
         id="d127e3-true-d11554e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d127e3-true-d11554e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d127e3-true-d11554e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/*[not(self::hl7:realmCode[not(@nullFlavor)]|self::hl7:typeId[@root='2.16.840.1.113883.1.3']|self::hl7:templateId[@root='1.2.276.0.76.10.1021']|self::hl7:id[not(@nullFlavor)]|self::hl7:code[(@code='74198-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:title|self::hl7:effectiveTime[not(@nullFlavor)]|self::hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]|self::hl7:languageCode[not(@nullFlavor)]|self::hl7:setId[not(@nullFlavor)]|self::hl7:versionNumber[not(@nullFlavor)]|self::hl7:recordTarget|self::hl7:author[not(@nullFlavor)]|self::hl7:custodian[not(@nullFlavor)]|self::hl7:informationRecipient|self::hl7:documentationOf|self::hl7:component)]"
         id="d127e76-true-d11640e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d127e76-true-d11640e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d127e76-true-d11640e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:recordTarget/*[not(self::hl7:patientRole)]"
         id="d11847e53-true-d11863e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.2032-2014-09-17T000000.html"
              test="not(.)">(CDArecordTargetnnar)/d11847e53-true-d11863e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d11847e53-true-d11863e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:recordTarget/hl7:patientRole/*[not(self::hl7:id|self::hl7:addr|self::hl7:telecom|self::hl7:patient)]"
         id="d11847e59-true-d11899e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.2032-2014-09-17T000000.html"
              test="not(.)">(CDArecordTargetnnar)/d11847e59-true-d11899e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d11847e59-true-d11899e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:recordTarget/hl7:patientRole/hl7:patient/*[not(self::hl7:name|self::hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]|self::hl7:birthTime)]"
         id="d11847e69-true-d11972e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.2032-2014-09-17T000000.html"
              test="not(.)">(CDArecordTargetnnar)/d11847e69-true-d11972e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d11847e69-true-d11972e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:author[not(@nullFlavor)]/*[not(self::hl7:time[not(@nullFlavor)]|self::hl7:assignedAuthor[not(@nullFlavor)])]"
         id="d12018e43-true-d12037e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.2033-2014-09-17T000000.html"
              test="not(.)">(CDAauthor)/d12018e43-true-d12037e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d12018e43-true-d12037e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor[not(@nullFlavor)]/*[not(self::hl7:id|self::hl7:assignedPerson|self::hl7:representedOrganization)]"
         id="d12018e53-true-d12085e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.2033-2014-09-17T000000.html"
              test="not(.)">(CDAauthor)/d12018e53-true-d12085e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d12018e53-true-d12085e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/*[not(self::hl7:name[not(@nullFlavor)])]"
         id="d12018e59-true-d12124e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.2033-2014-09-17T000000.html"
              test="not(.)">(CDAauthor)/d12018e59-true-d12124e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d12018e59-true-d12124e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/*[not(self::hl7:id|self::hl7:name[not(@nullFlavor)]|self::hl7:telecom|self::hl7:addr)]"
         id="d12018e64-true-d12154e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.2033-2014-09-17T000000.html"
              test="not(.)">(CDAauthor)/d12018e64-true-d12154e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d12018e64-true-d12154e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:custodian[not(@nullFlavor)]/*[not(self::hl7:assignedCustodian[not(@nullFlavor)])]"
         id="d12211e29-true-d12225e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.2034-2014-09-17T000000.html"
              test="not(.)">(CDAcustodian)/d12211e29-true-d12225e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d12211e29-true-d12225e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:custodian[not(@nullFlavor)]/hl7:assignedCustodian[not(@nullFlavor)]/*[not(self::hl7:representedCustodianOrganization)]"
         id="d12211e33-true-d12249e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.2034-2014-09-17T000000.html"
              test="not(.)">(CDAcustodian)/d12211e33-true-d12249e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d12211e33-true-d12249e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:custodian[not(@nullFlavor)]/hl7:assignedCustodian[not(@nullFlavor)]/hl7:representedCustodianOrganization/*[not(self::hl7:id|self::hl7:name[not(@nullFlavor)]|self::hl7:telecom|self::hl7:addr)]"
         id="d12211e37-true-d12270e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.2034-2014-09-17T000000.html"
              test="not(.)">(CDAcustodian)/d12211e37-true-d12270e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d12211e37-true-d12270e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:informationRecipient/*[not(self::hl7:intendedRecipient[not(@nullFlavor)])]"
         id="d12327e68-true-d12341e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.2005-2013-07-10T000000.html"
              test="not(.)">(HeaderInformationRecipient)/d12327e68-true-d12341e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d12327e68-true-d12341e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:informationRecipient/hl7:intendedRecipient[not(@nullFlavor)]/*[not(self::hl7:id|self::hl7:informationRecipient|self::hl7:receivedOrganization)]"
         id="d12327e85-true-d12363e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.2005-2013-07-10T000000.html"
              test="not(.)">(HeaderInformationRecipient)/d12327e85-true-d12363e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d12327e85-true-d12363e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:informationRecipient/hl7:intendedRecipient[not(@nullFlavor)]/hl7:informationRecipient/*[not(self::hl7:name[not(@nullFlavor)])]"
         id="d12327e97-true-d12402e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.2005-2013-07-10T000000.html"
              test="not(.)">(HeaderInformationRecipient)/d12327e97-true-d12402e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d12327e97-true-d12402e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:informationRecipient/hl7:intendedRecipient[not(@nullFlavor)]/hl7:receivedOrganization/*[not(self::hl7:id|self::hl7:name[not(@nullFlavor)]|self::hl7:telecom|self::hl7:addr)]"
         id="d12327e102-true-d12432e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.2005-2013-07-10T000000.html"
              test="not(.)">(HeaderInformationRecipient)/d12327e102-true-d12432e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d12327e102-true-d12432e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:documentationOf/*[not(self::hl7:serviceEvent)]"
         id="d12489e74-true-d12503e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.2042-2017-04-20T000000.html"
              test="not(.)">(CDADocumentationOfTrauma)/d12489e74-true-d12503e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d12489e74-true-d12503e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:documentationOf/hl7:serviceEvent/*[not(self::hl7:performer[@typeCode='PRF']|self::hl7:performer[@typeCode='SPRF'])]"
         id="d12489e78-true-d12524e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.2042-2017-04-20T000000.html"
              test="not(.)">(CDADocumentationOfTrauma)/d12489e78-true-d12524e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d12489e78-true-d12524e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:documentationOf/hl7:serviceEvent/hl7:performer[@typeCode='PRF']/*[not(self::hl7:functionCode[(@code='LA18712-2' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:assignedEntity[not(@nullFlavor)])]"
         id="d12489e84-true-d12546e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.2042-2017-04-20T000000.html"
              test="not(.)">(CDADocumentationOfTrauma)/d12489e84-true-d12546e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d12489e84-true-d12546e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:documentationOf/hl7:serviceEvent/hl7:performer[@typeCode='PRF']/hl7:assignedEntity[not(@nullFlavor)]/*[not(self::hl7:id|self::hl7:name)]"
         id="d12489e93-true-d12585e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.2042-2017-04-20T000000.html"
              test="not(.)">(CDADocumentationOfTrauma)/d12489e93-true-d12585e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d12489e93-true-d12585e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:documentationOf/hl7:serviceEvent/hl7:performer[@typeCode='SPRF']/*[not(self::hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.86-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]|self::hl7:assignedEntity[not(@nullFlavor)])]"
         id="d12489e124-true-d12631e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.2042-2017-04-20T000000.html"
              test="not(.)">(CDADocumentationOfTrauma)/d12489e124-true-d12631e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d12489e124-true-d12631e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:documentationOf/hl7:serviceEvent/hl7:performer[@typeCode='SPRF']/hl7:assignedEntity[not(@nullFlavor)]/*[not(self::hl7:id|self::hl7:name)]"
         id="d12489e152-true-d12674e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.2042-2017-04-20T000000.html"
              test="not(.)">(CDADocumentationOfTrauma)/d12489e152-true-d12674e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d12489e152-true-d12674e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/*[not(self::hl7:structuredBody)]"
         id="d127e134-true-d12716e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d127e134-true-d12716e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d127e134-true-d12716e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/*[not(self::hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3072']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3077']]])]"
         id="d127e140-true-d17091e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d127e140-true-d17091e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d127e140-true-d17091e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']])]"
         id="d127e146-true-d21773e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d127e146-true-d21773e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d127e146-true-d21773e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.3068']|self::hl7:code[(@code='74209-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:title[not(@nullFlavor)]|self::hl7:text[not(@nullFlavor)]|self::hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]])]"
         id="d21450e7-true-d22103e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d21450e7-true-d22103e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d21450e7-true-d22103e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]]/*[not(self::hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']])]"
         id="d21450e30-true-d22740e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d21450e30-true-d22740e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d21450e30-true-d22740e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4088']|self::hl7:code[(@code='418019003' and @codeSystem='2.16.840.1.113883.5.96')][not(@nullFlavor)]|self::hl7:text|self::hl7:effectiveTime|self::hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]]|self::hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4090']]]|self::hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4091']]]|self::hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4169']]])]"
         id="d22447e7-true-d23043e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d22447e7-true-d23043e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d22447e7-true-d23043e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]/hl7:text/*[not(self::hl7:reference)]"
         id="d22447e23-true-d23352e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d22447e23-true-d23352e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d22447e23-true-d23352e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]/hl7:effectiveTime/*[not(self::hl7:low)]"
         id="d22447e32-true-d23382e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d22447e32-true-d23382e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d22447e32-true-d23382e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]]/*[not(self::hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']])]"
         id="d22447e37-true-d23526e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d22447e37-true-d23526e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d22447e37-true-d23526e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4089']|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4168']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4167']]])]"
         id="d23401e7-true-d23658e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d23401e7-true-d23658e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d23401e7-true-d23658e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']])]"
         id="d23401e23-true-d23821e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d23401e23-true-d23821e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d23401e23-true-d23821e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4092']|self::hl7:code[(@code='11374-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:value)]"
         id="d23788e7-true-d23860e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d23788e7-true-d23860e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d23788e7-true-d23860e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]/hl7:value/*[not(self::hl7:originalText)]"
         id="d23788e29-true-d23918e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d23788e29-true-d23918e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d23788e29-true-d23918e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]/hl7:value/hl7:originalText/*[not(self::hl7:reference)]"
         id="d23788e33-true-d23940e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d23788e33-true-d23940e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d23788e33-true-d23940e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4168']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4168']])]"
         id="d23401e31-true-d24000e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d23401e31-true-d24000e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d23401e31-true-d24000e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4168']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4168']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4168']|self::hl7:code[(@code='74470-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.80-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]|self::hl7:targetSiteCode[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.81-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])]"
         id="d23959e7-true-d24048e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d23959e7-true-d24048e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d23959e7-true-d24048e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4167']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4167']])]"
         id="d23401e38-true-d24158e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d23401e38-true-d24158e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d23401e38-true-d24158e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4167']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4167']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4167']|self::hl7:code[(@code='X-NACA' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.82-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])]"
         id="d24123e7-true-d24199e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d24123e7-true-d24199e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d24123e7-true-d24199e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4090']]]/*[not(self::hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4090']])]"
         id="d22447e44-true-d24315e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d22447e44-true-d24315e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d22447e44-true-d24315e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4090']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4090']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4090']|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4095']]])]"
         id="d24258e7-true-d24377e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d24258e7-true-d24377e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d24258e7-true-d24377e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4090']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4090']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4095']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4095']])]"
         id="d24258e23-true-d24474e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d24258e23-true-d24474e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d24258e23-true-d24474e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4090']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4090']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4095']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4095']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4095']|self::hl7:code[(@code='69543-7' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.74-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.74-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code])]"
         id="d24439e7-true-d24515e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d24439e7-true-d24515e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d24439e7-true-d24515e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4090']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4090']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4095']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4095']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.74-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.74-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]/*[not(self::hl7:qualifier[hl7:name/@code='67494-5']|self::hl7:qualifier[hl7:name/@code='67496-0'])]"
         id="d24439e29-true-d24576e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d24439e29-true-d24576e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d24439e29-true-d24576e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4090']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4090']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4095']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4095']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.74-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.74-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]/hl7:qualifier[hl7:name/@code='67494-5']/*[not(self::hl7:name[(@code='67494-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.75-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])]"
         id="d24439e33-true-d24600e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d24439e33-true-d24600e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d24439e33-true-d24600e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4090']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4090']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4095']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4095']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.74-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.74-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]/hl7:qualifier[hl7:name/@code='67496-0']/*[not(self::hl7:name[(@code='67496-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.76-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])]"
         id="d24439e49-true-d24650e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d24439e49-true-d24650e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d24439e49-true-d24650e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4091']]]/*[not(self::hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4091']])]"
         id="d22447e51-true-d24740e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d22447e51-true-d24740e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d22447e51-true-d24740e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4091']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4091']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4091']|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4096']]])]"
         id="d24685e7-true-d24800e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d24685e7-true-d24800e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d24685e7-true-d24800e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4091']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4091']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4096']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4096']])]"
         id="d24685e23-true-d24893e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d24685e23-true-d24893e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d24685e23-true-d24893e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4091']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4091']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4096']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4096']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4096']|self::hl7:code[(@code='67499-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:value)]"
         id="d24860e7-true-d24932e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d24860e7-true-d24932e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d24860e7-true-d24932e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4169']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4169']])]"
         id="d22447e58-true-d25022e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d22447e58-true-d25022e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d22447e58-true-d25022e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4169']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4169']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4169']|self::hl7:code[(@code='X-PIASA' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.87-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])]"
         id="d24987e7-true-d25063e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d24987e7-true-d25063e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d24987e7-true-d25063e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3068']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4088']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4169']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4169']]/hl7:text/*[not(self::hl7:reference)]"
         id="d24987e23-true-d25115e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d24987e23-true-d25115e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d24987e23-true-d25115e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']])]"
         id="d127e153-true-d26822e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d127e153-true-d26822e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d127e153-true-d26822e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.3069']|self::hl7:code[(@code='74207-2' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:title[not(@nullFlavor)]|self::hl7:text[not(@nullFlavor)]|self::hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]])]"
         id="d25144e7-true-d28507e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d25144e7-true-d28507e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d25144e7-true-d28507e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/*[not(self::hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']])]"
         id="d25144e30-true-d31854e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d25144e30-true-d31854e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d25144e30-true-d31854e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4097']|self::hl7:code[(@code='FLD' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4099']]]|self::hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4100']]]|self::hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]|self::hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4102']]]|self::hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]|self::hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]])]"
         id="d30206e7-true-d33513e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d30206e7-true-d33513e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d30206e7-true-d33513e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:effectiveTime/*[not(self::hl7:low|self::hl7:high)]"
         id="d30206e23-true-d35182e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d30206e23-true-d35182e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d30206e23-true-d35182e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4099']]]/*[not(self::hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4099']])]"
         id="d30206e34-true-d35298e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d30206e34-true-d35298e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d30206e34-true-d35298e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4099']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4099']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4099']|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4163']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4164']]])]"
         id="d35213e7-true-d35389e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d35213e7-true-d35389e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d35213e7-true-d35389e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4099']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4099']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4163']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4163']])]"
         id="d35213e23-true-d35512e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d35213e23-true-d35512e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d35213e23-true-d35512e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4099']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4099']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4163']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4163']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4163']|self::hl7:code[(@code='69473-7' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:value)]"
         id="d35479e7-true-d35551e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d35479e7-true-d35551e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d35479e7-true-d35551e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4099']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4099']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4163']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4163']]/hl7:text/*[not(self::hl7:reference)]"
         id="d35479e23-true-d35601e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d35479e23-true-d35601e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d35479e23-true-d35601e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4099']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4099']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4164']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4164']])]"
         id="d35213e31-true-d35661e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d35213e31-true-d35661e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d35213e31-true-d35661e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4099']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4099']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4164']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4164']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4164']|self::hl7:code[(@code='69475-2' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:value)]"
         id="d35628e13-true-d35700e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d35628e13-true-d35700e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d35628e13-true-d35700e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4099']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4099']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4164']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4164']]/hl7:text/*[not(self::hl7:reference)]"
         id="d35628e29-true-d35750e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d35628e29-true-d35750e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d35628e29-true-d35750e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4100']]]/*[not(self::hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4100']])]"
         id="d30206e41-true-d35832e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d30206e41-true-d35832e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d30206e41-true-d35832e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4100']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4100']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4100']|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4098']]])]"
         id="d35777e7-true-d35892e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d35777e7-true-d35892e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d35777e7-true-d35892e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4100']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4100']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4098']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4098']])]"
         id="d35777e23-true-d35985e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d35777e23-true-d35985e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d35777e23-true-d35985e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4100']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4100']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4098']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4098']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4098']|self::hl7:code[(@code='69471-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:value)]"
         id="d35952e7-true-d36024e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d35952e7-true-d36024e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d35952e7-true-d36024e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4100']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4100']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4098']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4098']]/hl7:text/*[not(self::hl7:reference)]"
         id="d35952e23-true-d36074e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d35952e23-true-d36074e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d35952e23-true-d36074e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/*[not(self::hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']])]"
         id="d30206e48-true-d36607e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d30206e48-true-d36607e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d30206e48-true-d36607e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4101']|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4030']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4031']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4251']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4032']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4033']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4034']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4046']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4047']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4035']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4036']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]])]"
         id="d36101e7-true-d37128e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d36101e7-true-d37128e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d36101e7-true-d37128e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4030']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4030']])]"
         id="d36101e23-true-d37684e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d36101e23-true-d37684e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d36101e23-true-d37684e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4030']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4030']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4030']|self::hl7:id|self::hl7:code[(@code='9279-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d37639e7-true-d37738e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d37639e7-true-d37738e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d37639e7-true-d37738e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4030']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4030']]/hl7:code[(@code='9279-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]/*[not(self::hl7:originalText)]"
         id="d37639e27-true-d37800e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d37639e27-true-d37800e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d37639e27-true-d37800e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4030']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4030']]/hl7:text/*[not(self::hl7:reference)]"
         id="d37639e34-true-d37830e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d37639e34-true-d37830e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d37639e34-true-d37830e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4031']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4031']])]"
         id="d36101e31-true-d37918e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d36101e31-true-d37918e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d36101e31-true-d37918e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4031']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4031']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4031']|self::hl7:id|self::hl7:code[(@code='20564-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d37873e7-true-d37972e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d37873e7-true-d37972e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d37873e7-true-d37972e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4031']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4031']]/hl7:text/*[not(self::hl7:reference)]"
         id="d37873e32-true-d38042e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d37873e32-true-d38042e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d37873e32-true-d38042e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4251']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4251']])]"
         id="d36101e38-true-d38130e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d36101e38-true-d38130e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d36101e38-true-d38130e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4251']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4251']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4251']|self::hl7:id|self::hl7:code[(@code='11556-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d38085e7-true-d38184e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d38085e7-true-d38184e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d38085e7-true-d38184e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4251']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4251']]/hl7:text/*[not(self::hl7:reference)]"
         id="d38085e26-true-d38254e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d38085e26-true-d38254e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d38085e26-true-d38254e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4032']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4032']])]"
         id="d36101e45-true-d38342e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d36101e45-true-d38342e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d36101e45-true-d38342e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4032']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4032']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4032']|self::hl7:id|self::hl7:code[(@code='8480-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d38297e7-true-d38396e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d38297e7-true-d38396e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d38297e7-true-d38396e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4032']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4032']]/hl7:text/*[not(self::hl7:reference)]"
         id="d38297e26-true-d38466e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d38297e26-true-d38466e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d38297e26-true-d38466e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4033']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4033']])]"
         id="d36101e52-true-d38554e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d36101e52-true-d38554e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d36101e52-true-d38554e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4033']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4033']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4033']|self::hl7:id|self::hl7:code[(@code='8867-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d38509e7-true-d38608e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d38509e7-true-d38608e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d38509e7-true-d38608e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4033']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4033']]/hl7:text/*[not(self::hl7:reference)]"
         id="d38509e32-true-d38678e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d38509e32-true-d38678e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d38509e32-true-d38678e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4034']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4034']])]"
         id="d36101e59-true-d38769e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d36101e59-true-d38769e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d36101e59-true-d38769e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4034']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4034']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4034']|self::hl7:id|self::hl7:code[(@code='9269-2' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:text|self::hl7:effectiveTime|self::hl7:value|self::hl7:entryRelationship[hl7:observation/hl7:code/@code='9267-6']|self::hl7:entryRelationship[hl7:observation/hl7:code/@code='9270-0']|self::hl7:entryRelationship[hl7:observation/hl7:code/@code='9268-4'])]"
         id="d38721e7-true-d38829e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d38721e7-true-d38829e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d38721e7-true-d38829e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4034']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4034']]/hl7:text/*[not(self::hl7:reference)]"
         id="d38721e31-true-d38910e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d38721e31-true-d38910e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d38721e31-true-d38910e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4034']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4034']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='9267-6']/*[not(self::hl7:observation[hl7:code[(@code='9267-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]])]"
         id="d38721e54-true-d38953e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d38721e54-true-d38953e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d38721e54-true-d38953e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4034']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4034']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='9267-6']/hl7:observation[hl7:code[(@code='9267-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]]/*[not(self::hl7:code[(@code='9267-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:value)]"
         id="d38721e60-true-d38985e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d38721e60-true-d38985e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d38721e60-true-d38985e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4034']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4034']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='9270-0']/*[not(self::hl7:observation[hl7:code[(@code='9270-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]])]"
         id="d38721e91-true-d39036e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d38721e91-true-d39036e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d38721e91-true-d39036e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4034']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4034']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='9270-0']/hl7:observation[hl7:code[(@code='9270-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]]/*[not(self::hl7:code[(@code='9270-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:value)]"
         id="d38721e97-true-d39068e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d38721e97-true-d39068e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d38721e97-true-d39068e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4034']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4034']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='9268-4']/*[not(self::hl7:observation[hl7:code[(@code='9268-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]])]"
         id="d38721e129-true-d39119e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d38721e129-true-d39119e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d38721e129-true-d39119e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4034']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4034']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='9268-4']/hl7:observation[hl7:code[(@code='9268-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]]/*[not(self::hl7:code[(@code='9268-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:value)]"
         id="d38721e135-true-d39151e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d38721e135-true-d39151e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d38721e135-true-d39151e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4046']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4046']])]"
         id="d36101e72-true-d39247e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d36101e72-true-d39247e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d36101e72-true-d39247e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4046']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4046']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4046']|self::hl7:id|self::hl7:code[(@code='SPPL' and @codeSystem='1.2.276.0.76.3.1.195.5.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.49-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.49-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]|self::hl7:targetSiteCode[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.48-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])]"
         id="d39194e7-true-d39310e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d39194e7-true-d39310e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d39194e7-true-d39310e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4046']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4046']]/hl7:text/*[not(self::hl7:reference)]"
         id="d39194e26-true-d39388e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d39194e26-true-d39388e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d39194e26-true-d39388e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4047']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4047']])]"
         id="d36101e82-true-d39496e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d36101e82-true-d39496e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d36101e82-true-d39496e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4047']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4047']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4047']|self::hl7:id|self::hl7:code[(@code='RPPL' and @codeSystem='1.2.276.0.76.3.1.195.5.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.50-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.50-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]|self::hl7:targetSiteCode[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.48-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])]"
         id="d39443e7-true-d39559e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d39443e7-true-d39559e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d39443e7-true-d39559e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4047']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4047']]/hl7:text/*[not(self::hl7:reference)]"
         id="d39443e26-true-d39637e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d39443e26-true-d39637e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d39443e26-true-d39637e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4035']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4035']])]"
         id="d36101e89-true-d39737e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d36101e89-true-d39737e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d36101e89-true-d39737e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4035']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4035']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4035']|self::hl7:id|self::hl7:code[(@code='8329-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d39692e7-true-d39791e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d39692e7-true-d39791e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d39692e7-true-d39791e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4035']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4035']]/hl7:text/*[not(self::hl7:reference)]"
         id="d39692e32-true-d39861e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d39692e32-true-d39861e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d39692e32-true-d39861e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4036']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4036']])]"
         id="d36101e96-true-d39949e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d36101e96-true-d39949e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d36101e96-true-d39949e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4036']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4036']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4036']|self::hl7:id|self::hl7:code[(@code='72514-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d39904e7-true-d40003e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d39904e7-true-d40003e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d39904e7-true-d40003e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4036']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4036']]/hl7:text/*[not(self::hl7:reference)]"
         id="d39904e32-true-d40073e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d39904e32-true-d40073e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d39904e32-true-d40073e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']])]"
         id="d36101e104-true-d40161e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d36101e104-true-d40161e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d36101e104-true-d40161e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4103']|self::hl7:id|self::hl7:code[(@code='19891-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d40116e7-true-d40215e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d40116e7-true-d40215e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d40116e7-true-d40215e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4101']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]/hl7:text/*[not(self::hl7:reference)]"
         id="d40116e26-true-d40285e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d40116e26-true-d40285e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d40116e26-true-d40285e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4102']]]/*[not(self::hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4102']])]"
         id="d30206e55-true-d40387e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d30206e55-true-d40387e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d30206e55-true-d40387e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4102']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4102']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4102']|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4104']]])]"
         id="d40328e7-true-d40451e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d40328e7-true-d40451e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d40328e7-true-d40451e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4102']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4102']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4104']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4104']])]"
         id="d40328e23-true-d40552e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d40328e23-true-d40552e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d40328e23-true-d40552e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4102']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4102']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4104']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4104']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4104']|self::hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.77-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])]"
         id="d40515e10-true-d40595e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d40515e10-true-d40595e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d40515e10-true-d40595e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']])]"
         id="d30206e62-true-d40737e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d30206e62-true-d40737e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d30206e62-true-d40737e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4105']|self::hl7:id|self::hl7:code[(@code='X-FAST' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value[@nullFlavor]|self::hl7:value[@code]|self::hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]])]"
         id="d40658e7-true-d40825e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d40658e7-true-d40825e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d40658e7-true-d40825e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:text/*[not(self::hl7:reference)]"
         id="d40658e26-true-d40930e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d40658e26-true-d40930e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d40658e26-true-d40930e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:value[@nullFlavor]/*[not(self::hl7:originalText)]"
         id="d40658e47-true-d40973e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d40658e47-true-d40973e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d40658e47-true-d40973e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:value[@nullFlavor]/hl7:originalText/*[not(self::hl7:reference)]"
         id="d40658e54-true-d40995e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d40658e54-true-d40995e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d40658e54-true-d40995e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:value[@code]/*[not(self::hl7:originalText)]"
         id="d40658e63-true-d41022e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d40658e63-true-d41022e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d40658e63-true-d41022e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:value[@code]/hl7:originalText/*[not(self::hl7:reference)]"
         id="d40658e70-true-d41044e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d40658e70-true-d41044e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d40658e70-true-d41044e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']])]"
         id="d40658e80-true-d41104e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d40658e80-true-d41104e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d40658e80-true-d41104e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4134']|self::hl7:id|self::hl7:code[(@code='X-FASTFF' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:value[not(@nullFlavor)])]"
         id="d41063e10-true-d41153e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d41063e10-true-d41153e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d41063e10-true-d41153e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]/hl7:text/*[not(self::hl7:reference)]"
         id="d41063e29-true-d41219e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d41063e29-true-d41219e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d41063e29-true-d41219e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/*[not(self::hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']])]"
         id="d30206e69-true-d42107e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d30206e69-true-d42107e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d30206e69-true-d42107e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4106']|self::hl7:code[(@code='29554-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4107']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4108']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4109']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4110']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4111']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4112']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4113']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4114']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4115']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4116']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4118']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4119']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4120']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4121']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4122']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4123']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4117']]]|self::hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4125']]]|self::hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4126']]]|self::hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4252']]]|self::hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4127']]]|self::hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4128']]])]"
         id="d41254e7-true-d42987e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d41254e7-true-d42987e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d41254e7-true-d42987e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4107']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4107']])]"
         id="d41254e29-true-d43894e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d41254e29-true-d43894e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d41254e29-true-d43894e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4107']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4107']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4107']|self::hl7:code[(@code='HIM' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d43853e10-true-d43943e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d43853e10-true-d43943e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d43853e10-true-d43943e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4107']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4107']]/hl7:text/*[not(self::hl7:reference)]"
         id="d43853e26-true-d44001e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d43853e26-true-d44001e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d43853e26-true-d44001e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4108']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4108']])]"
         id="d41254e39-true-d44085e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d41254e39-true-d44085e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d41254e39-true-d44085e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4108']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4108']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4108']|self::hl7:code[(@code='EIT' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d44044e10-true-d44134e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d44044e10-true-d44134e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d44044e10-true-d44134e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4108']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4108']]/hl7:text/*[not(self::hl7:reference)]"
         id="d44044e26-true-d44192e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d44044e26-true-d44192e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d44044e26-true-d44192e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4109']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4109']])]"
         id="d41254e49-true-d44276e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d41254e49-true-d44276e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d41254e49-true-d44276e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4109']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4109']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4109']|self::hl7:code[(@code='SAH' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d44235e10-true-d44325e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d44235e10-true-d44325e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d44235e10-true-d44325e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4109']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4109']]/hl7:text/*[not(self::hl7:reference)]"
         id="d44235e26-true-d44383e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d44235e26-true-d44383e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d44235e26-true-d44383e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4110']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4110']])]"
         id="d41254e59-true-d44467e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d41254e59-true-d44467e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d41254e59-true-d44467e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4110']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4110']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4110']|self::hl7:code[(@code='CAH' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d44426e10-true-d44516e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d44426e10-true-d44516e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d44426e10-true-d44516e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4110']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4110']]/hl7:text/*[not(self::hl7:reference)]"
         id="d44426e26-true-d44574e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d44426e26-true-d44574e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d44426e26-true-d44574e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4111']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4111']])]"
         id="d41254e69-true-d44658e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d41254e69-true-d44658e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d41254e69-true-d44658e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4111']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4111']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4111']|self::hl7:code[(@code='TDR' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d44617e10-true-d44707e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d44617e10-true-d44707e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d44617e10-true-d44707e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4111']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4111']]/hl7:text/*[not(self::hl7:reference)]"
         id="d44617e26-true-d44765e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d44617e26-true-d44765e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d44617e26-true-d44765e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4111']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4111']]/hl7:value/*[not(self::hl7:qualifier[hl7:name/@code='20228-3'])]"
         id="d44617e46-true-d44808e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d44617e46-true-d44808e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d44617e46-true-d44808e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4111']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4111']]/hl7:value/hl7:qualifier[hl7:name/@code='20228-3']/*[not(self::hl7:name[(@code='20228-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.88-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])]"
         id="d44617e48-true-d44831e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d44617e48-true-d44831e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d44617e48-true-d44831e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4112']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4112']])]"
         id="d41254e79-true-d44907e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d41254e79-true-d44907e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d41254e79-true-d44907e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4112']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4112']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4112']|self::hl7:code[(@code='74206-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d44866e10-true-d44956e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d44866e10-true-d44956e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d44866e10-true-d44956e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4112']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4112']]/hl7:text/*[not(self::hl7:reference)]"
         id="d44866e26-true-d45014e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d44866e26-true-d45014e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d44866e26-true-d45014e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4113']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4113']])]"
         id="d41254e90-true-d45098e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d41254e90-true-d45098e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d41254e90-true-d45098e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4113']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4113']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4113']|self::hl7:code[(@code='PVZ' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d45057e10-true-d45147e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d45057e10-true-d45147e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d45057e10-true-d45147e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4113']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4113']]/hl7:text/*[not(self::hl7:reference)]"
         id="d45057e26-true-d45205e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d45057e26-true-d45205e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d45057e26-true-d45205e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4114']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4114']])]"
         id="d41254e100-true-d45295e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d41254e100-true-d45295e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d41254e100-true-d45295e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4114']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4114']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4114']|self::hl7:code[(@code='ZVK' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value|self::hl7:targetSiteCode[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.90-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])]"
         id="d45248e10-true-d45351e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d45248e10-true-d45351e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d45248e10-true-d45351e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4114']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4114']]/hl7:text/*[not(self::hl7:reference)]"
         id="d45248e26-true-d45415e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d45248e26-true-d45415e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d45248e26-true-d45415e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4114']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4114']]/hl7:value/*[not(self::hl7:qualifier[hl7:name/@code='20228-3'])]"
         id="d45248e46-true-d45458e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d45248e46-true-d45458e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d45248e46-true-d45458e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4114']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4114']]/hl7:value/hl7:qualifier[hl7:name/@code='20228-3']/*[not(self::hl7:name[(@code='20228-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.89-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])]"
         id="d45248e48-true-d45481e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d45248e48-true-d45481e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d45248e48-true-d45481e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4115']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4115']])]"
         id="d41254e110-true-d45573e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d41254e110-true-d45573e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d41254e110-true-d45573e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4115']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4115']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4115']|self::hl7:code[(@code='ARZ' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value|self::hl7:targetSiteCode[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.91-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.91-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code])]"
         id="d45526e10-true-d45629e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d45526e10-true-d45629e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d45526e10-true-d45629e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4115']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4115']]/hl7:text/*[not(self::hl7:reference)]"
         id="d45526e26-true-d45693e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d45526e26-true-d45693e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d45526e26-true-d45693e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4115']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4115']]/hl7:value/*[not(self::hl7:qualifier[hl7:name/@code='20228-3'])]"
         id="d45526e46-true-d45736e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d45526e46-true-d45736e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d45526e46-true-d45736e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4115']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4115']]/hl7:value/hl7:qualifier[hl7:name/@code='20228-3']/*[not(self::hl7:name[(@code='20228-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.89-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])]"
         id="d45526e48-true-d45759e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d45526e48-true-d45759e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d45526e48-true-d45759e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4116']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4116']])]"
         id="d41254e120-true-d45845e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d41254e120-true-d45845e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d41254e120-true-d45845e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4116']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4116']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4116']|self::hl7:code[(@code='IOZ' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d45804e10-true-d45894e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d45804e10-true-d45894e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d45804e10-true-d45894e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4116']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4116']]/hl7:text/*[not(self::hl7:reference)]"
         id="d45804e26-true-d45952e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d45804e26-true-d45952e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d45804e26-true-d45952e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4118']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4118']])]"
         id="d41254e130-true-d46036e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d41254e130-true-d46036e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d41254e130-true-d46036e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4118']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4118']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4118']|self::hl7:code[(@code='DEF' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d45995e10-true-d46085e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d45995e10-true-d46085e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d45995e10-true-d46085e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4118']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4118']]/hl7:text/*[not(self::hl7:reference)]"
         id="d45995e26-true-d46143e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d45995e26-true-d46143e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d45995e26-true-d46143e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4118']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4118']]/hl7:effectiveTime/*[not(self::hl7:low)]"
         id="d45995e40-true-d46181e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d45995e40-true-d46181e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d45995e40-true-d46181e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4119']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4119']])]"
         id="d41254e140-true-d46253e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d41254e140-true-d46253e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d41254e140-true-d46253e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4119']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4119']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4119']|self::hl7:code[(@code='BST' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value|self::hl7:methodeCode)]"
         id="d46208e10-true-d46307e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d46208e10-true-d46307e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d46208e10-true-d46307e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4119']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4119']]/hl7:text/*[not(self::hl7:reference)]"
         id="d46208e26-true-d46369e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d46208e26-true-d46369e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d46208e26-true-d46369e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4120']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4120']])]"
         id="d41254e151-true-d46465e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d41254e151-true-d46465e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d41254e151-true-d46465e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4120']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4120']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4120']|self::hl7:code[(@code='FRK' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value|self::hl7:methodeCode)]"
         id="d46420e10-true-d46519e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d46420e10-true-d46519e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d46420e10-true-d46519e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4120']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4120']]/hl7:text/*[not(self::hl7:reference)]"
         id="d46420e26-true-d46581e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d46420e26-true-d46581e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d46420e26-true-d46581e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4121']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4121']])]"
         id="d41254e161-true-d46673e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d41254e161-true-d46673e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d41254e161-true-d46673e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4121']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4121']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4121']|self::hl7:code[(@code='BEG' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d46632e10-true-d46722e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d46632e10-true-d46722e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d46632e10-true-d46722e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4121']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4121']]/hl7:text/*[not(self::hl7:reference)]"
         id="d46632e26-true-d46780e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d46632e26-true-d46780e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d46632e26-true-d46780e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4122']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4122']])]"
         id="d41254e171-true-d46864e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d41254e171-true-d46864e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d41254e171-true-d46864e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4122']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4122']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4122']|self::hl7:code[(@code='ANS' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d46823e10-true-d46913e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d46823e10-true-d46913e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d46823e10-true-d46913e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4122']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4122']]/hl7:text/*[not(self::hl7:reference)]"
         id="d46823e26-true-d46971e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d46823e26-true-d46971e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d46823e26-true-d46971e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4123']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4123']])]"
         id="d41254e181-true-d47055e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d41254e181-true-d47055e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d41254e181-true-d47055e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4123']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4123']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4123']|self::hl7:code[(@code='TPR' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d47014e10-true-d47104e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d47014e10-true-d47104e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d47014e10-true-d47104e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4123']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4123']]/hl7:text/*[not(self::hl7:reference)]"
         id="d47014e26-true-d47162e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d47014e26-true-d47162e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d47014e26-true-d47162e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4117']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4117']])]"
         id="d41254e191-true-d47246e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d41254e191-true-d47246e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d41254e191-true-d47246e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4117']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4117']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4117']|self::hl7:code[(@code='HDM' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d47205e10-true-d47295e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d47205e10-true-d47295e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d47205e10-true-d47295e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4117']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4117']]/hl7:text/*[not(self::hl7:reference)]"
         id="d47205e26-true-d47353e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d47205e26-true-d47353e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d47205e26-true-d47353e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4125']]]/*[not(self::hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4125']])]"
         id="d41254e201-true-d47433e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d41254e201-true-d47433e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d41254e201-true-d47433e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4125']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4125']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4125']|self::hl7:text|self::hl7:effectiveTime|self::hl7:doseQuantity|self::hl7:consumable[not(@nullFlavor)])]"
         id="d47396e10-true-d47477e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d47396e10-true-d47477e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d47396e10-true-d47477e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4125']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4125']]/hl7:text/*[not(self::hl7:reference)]"
         id="d47396e27-true-d47523e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d47396e27-true-d47523e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d47396e27-true-d47523e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4125']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4125']]/hl7:consumable[not(@nullFlavor)]/*[not(self::hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='B05BB' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]])]"
         id="d47396e48-true-d47569e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d47396e48-true-d47569e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d47396e48-true-d47569e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4125']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4125']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='B05BB' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]]/*[not(self::hl7:manufacturedMaterial[hl7:code[(@code='B05BB' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]])]"
         id="d47396e50-true-d47591e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d47396e50-true-d47591e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d47396e50-true-d47591e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4125']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4125']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='B05BB' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]]/hl7:manufacturedMaterial[hl7:code[(@code='B05BB' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]/*[not(self::hl7:code[(@code='B05BB' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)])]"
         id="d47396e54-true-d47613e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d47396e54-true-d47613e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d47396e54-true-d47613e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4126']]]/*[not(self::hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4126']])]"
         id="d41254e212-true-d47669e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d41254e212-true-d47669e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d41254e212-true-d47669e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4126']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4126']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4126']|self::hl7:text|self::hl7:effectiveTime|self::hl7:doseQuantity|self::hl7:consumable[not(@nullFlavor)])]"
         id="d47632e10-true-d47713e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d47632e10-true-d47713e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d47632e10-true-d47713e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4126']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4126']]/hl7:text/*[not(self::hl7:reference)]"
         id="d47632e27-true-d47759e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d47632e27-true-d47759e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d47632e27-true-d47759e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4126']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4126']]/hl7:consumable[not(@nullFlavor)]/*[not(self::hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='B05BC' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]])]"
         id="d47632e48-true-d47805e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d47632e48-true-d47805e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d47632e48-true-d47805e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4126']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4126']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='B05BC' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]]/*[not(self::hl7:manufacturedMaterial[hl7:code[(@code='B05BC' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]])]"
         id="d47632e50-true-d47827e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d47632e50-true-d47827e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d47632e50-true-d47827e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4126']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4126']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='B05BC' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]]/hl7:manufacturedMaterial[hl7:code[(@code='B05BC' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]/*[not(self::hl7:code[(@code='B05BC' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)])]"
         id="d47632e54-true-d47849e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d47632e54-true-d47849e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d47632e54-true-d47849e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4252']]]/*[not(self::hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4252']])]"
         id="d41254e222-true-d47901e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d41254e222-true-d47901e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d41254e222-true-d47901e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4252']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4252']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4252']|self::hl7:text|self::hl7:effectiveTime|self::hl7:consumable[not(@nullFlavor)])]"
         id="d47868e10-true-d47940e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d47868e10-true-d47940e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d47868e10-true-d47940e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4252']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4252']]/hl7:text/*[not(self::hl7:reference)]"
         id="d47868e27-true-d47982e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d47868e27-true-d47982e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d47868e27-true-d47982e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4252']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4252']]/hl7:consumable[not(@nullFlavor)]/*[not(self::hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='S01XA03' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]])]"
         id="d47868e42-true-d48020e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d47868e42-true-d48020e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d47868e42-true-d48020e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4252']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4252']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='S01XA03' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]]/*[not(self::hl7:manufacturedMaterial[hl7:code[(@code='S01XA03' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]])]"
         id="d47868e44-true-d48042e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d47868e44-true-d48042e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d47868e44-true-d48042e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4252']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4252']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='S01XA03' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]]/hl7:manufacturedMaterial[hl7:code[(@code='S01XA03' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]/*[not(self::hl7:code[(@code='S01XA03' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)])]"
         id="d47868e48-true-d48064e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d47868e48-true-d48064e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d47868e48-true-d48064e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4127']]]/*[not(self::hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4127']])]"
         id="d41254e232-true-d48116e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d41254e232-true-d48116e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d41254e232-true-d48116e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4127']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4127']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4127']|self::hl7:text|self::hl7:effectiveTime|self::hl7:consumable[not(@nullFlavor)])]"
         id="d48083e10-true-d48155e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d48083e10-true-d48155e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d48083e10-true-d48155e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4127']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4127']]/hl7:text/*[not(self::hl7:reference)]"
         id="d48083e27-true-d48197e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d48083e27-true-d48197e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d48083e27-true-d48197e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4127']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4127']]/hl7:effectiveTime/*[not(self::hl7:low)]"
         id="d48083e36-true-d48227e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d48083e36-true-d48227e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d48083e36-true-d48227e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4127']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4127']]/hl7:consumable[not(@nullFlavor)]/*[not(self::hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='C01CA' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]])]"
         id="d48083e45-true-d48257e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d48083e45-true-d48257e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d48083e45-true-d48257e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4127']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4127']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='C01CA' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]]/*[not(self::hl7:manufacturedMaterial[hl7:code[(@code='C01CA' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]])]"
         id="d48083e47-true-d48279e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d48083e47-true-d48279e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d48083e47-true-d48279e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4127']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4127']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='C01CA' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]]/hl7:manufacturedMaterial[hl7:code[(@code='C01CA' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]/*[not(self::hl7:code[(@code='C01CA' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)])]"
         id="d48083e51-true-d48301e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d48083e51-true-d48301e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d48083e51-true-d48301e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4128']]]/*[not(self::hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4128']])]"
         id="d41254e242-true-d48353e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d41254e242-true-d48353e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d41254e242-true-d48353e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4128']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4128']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4128']|self::hl7:text|self::hl7:effectiveTime|self::hl7:consumable[not(@nullFlavor)])]"
         id="d48320e10-true-d48392e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d48320e10-true-d48392e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d48320e10-true-d48392e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4128']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4128']]/hl7:text/*[not(self::hl7:reference)]"
         id="d48320e27-true-d48434e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d48320e27-true-d48434e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d48320e27-true-d48434e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4128']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4128']]/hl7:consumable[not(@nullFlavor)]/*[not(self::hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='B02AA02' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]])]"
         id="d48320e42-true-d48472e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d48320e42-true-d48472e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d48320e42-true-d48472e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4128']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4128']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='B02AA02' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]]/*[not(self::hl7:manufacturedMaterial[hl7:code[(@code='B02AA02' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]])]"
         id="d48320e44-true-d48494e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d48320e44-true-d48494e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d48320e44-true-d48494e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3069']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4097']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4106']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4128']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4128']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='B02AA02' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]]/hl7:manufacturedMaterial[hl7:code[(@code='B02AA02' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]/*[not(self::hl7:code[(@code='B02AA02' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)])]"
         id="d48320e48-true-d48516e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d48320e48-true-d48516e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d48320e48-true-d48516e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3072']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3072']])]"
         id="d127e160-true-d48568e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d127e160-true-d48568e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d127e160-true-d48568e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3072']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3072']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.3072']|self::hl7:code[(@code='29545-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:title[not(@nullFlavor)]|self::hl7:text[not(@nullFlavor)])]"
         id="d48535e7-true-d48607e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d48535e7-true-d48607e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d48535e7-true-d48607e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']])]"
         id="d127e168-true-d50871e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d127e168-true-d50871e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d127e168-true-d50871e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.3073']|self::hl7:code[(@code='74211-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:title[not(@nullFlavor)]|self::hl7:text[not(@nullFlavor)]|self::hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3075']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3078']]])]"
         id="d48662e7-true-d53092e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d48662e7-true-d53092e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d48662e7-true-d53092e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/*[not(self::hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']])]"
         id="d48662e30-true-d55571e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d48662e30-true-d55571e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d48662e30-true-d55571e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4133']|self::hl7:code[(@code='IMP' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]])]"
         id="d55322e7-true-d55826e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d55322e7-true-d55826e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d55322e7-true-d55826e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/hl7:effectiveTime/*[not(self::hl7:low|self::hl7:high)]"
         id="d55322e23-true-d56096e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d55322e23-true-d56096e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d55322e23-true-d56096e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]]/*[not(self::hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']])]"
         id="d55322e34-true-d56350e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d55322e34-true-d56350e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d55322e34-true-d56350e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4136']|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4135']]])]"
         id="d56127e7-true-d56581e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d56127e7-true-d56581e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d56127e7-true-d56581e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']])]"
         id="d56127e23-true-d56850e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d56127e23-true-d56850e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d56127e23-true-d56850e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4137']|self::hl7:code[(@code='X-RELBLDLSS' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d56809e10-true-d56899e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d56809e10-true-d56899e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d56809e10-true-d56899e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]/hl7:text/*[not(self::hl7:reference)]"
         id="d56809e26-true-d56957e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d56809e26-true-d56957e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d56809e26-true-d56957e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']])]"
         id="d56127e34-true-d57045e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d56127e34-true-d57045e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d56127e34-true-d57045e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4103']|self::hl7:id|self::hl7:code[(@code='19891-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d57000e10-true-d57099e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d57000e10-true-d57099e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d57000e10-true-d57099e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]/hl7:text/*[not(self::hl7:reference)]"
         id="d57000e29-true-d57169e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d57000e29-true-d57169e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d57000e29-true-d57169e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']])]"
         id="d56127e44-true-d57291e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d56127e44-true-d57291e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d56127e44-true-d57291e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4105']|self::hl7:id|self::hl7:code[(@code='X-FAST' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value[@nullFlavor]|self::hl7:value[@code]|self::hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]])]"
         id="d57212e10-true-d57379e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d57212e10-true-d57379e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d57212e10-true-d57379e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:text/*[not(self::hl7:reference)]"
         id="d57212e29-true-d57484e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d57212e29-true-d57484e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d57212e29-true-d57484e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:value[@nullFlavor]/*[not(self::hl7:originalText)]"
         id="d57212e50-true-d57527e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d57212e50-true-d57527e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d57212e50-true-d57527e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:value[@nullFlavor]/hl7:originalText/*[not(self::hl7:reference)]"
         id="d57212e57-true-d57549e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d57212e57-true-d57549e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d57212e57-true-d57549e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:value[@code]/*[not(self::hl7:originalText)]"
         id="d57212e66-true-d57576e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d57212e66-true-d57576e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d57212e66-true-d57576e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:value[@code]/hl7:originalText/*[not(self::hl7:reference)]"
         id="d57212e73-true-d57598e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d57212e73-true-d57598e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d57212e73-true-d57598e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']])]"
         id="d57212e83-true-d57658e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d57212e83-true-d57658e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d57212e83-true-d57658e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4134']|self::hl7:id|self::hl7:code[(@code='X-FASTFF' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:value[not(@nullFlavor)])]"
         id="d57617e10-true-d57707e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d57617e10-true-d57707e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d57617e10-true-d57707e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]/hl7:text/*[not(self::hl7:reference)]"
         id="d57617e29-true-d57773e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d57617e29-true-d57773e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d57617e29-true-d57773e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4135']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4135']])]"
         id="d56127e54-true-d57853e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d56127e54-true-d57853e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d56127e54-true-d57853e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4135']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4135']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4135']|self::hl7:id|self::hl7:code[(@code='18748-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value|self::hl7:methodCode)]"
         id="d57808e10-true-d57907e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d57808e10-true-d57907e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d57808e10-true-d57907e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4135']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4135']]/hl7:value/*[not(self::hl7:originalText)]"
         id="d57808e40-true-d57993e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d57808e40-true-d57993e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d57808e40-true-d57993e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4135']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4135']]/hl7:value/hl7:originalText/*[not(self::hl7:reference)]"
         id="d57808e47-true-d58015e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d57808e47-true-d58015e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d57808e47-true-d58015e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']])]"
         id="d48662e37-true-d58921e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d48662e37-true-d58921e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d48662e37-true-d58921e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.3071']|self::hl7:code[(@code='74211-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:title[not(@nullFlavor)]|self::hl7:text[not(@nullFlavor)]|self::hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]])]"
         id="d58042e7-true-d59807e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d58042e7-true-d59807e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d58042e7-true-d59807e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/*[not(self::hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']])]"
         id="d58042e32-true-d61556e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d58042e32-true-d61556e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d58042e32-true-d61556e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4129']|self::hl7:code[(@code='EMER' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]])]"
         id="d60707e7-true-d62411e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d60707e7-true-d62411e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d60707e7-true-d62411e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:effectiveTime/*[not(self::hl7:low|self::hl7:high)]"
         id="d60707e23-true-d63281e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d60707e23-true-d63281e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d60707e23-true-d63281e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/*[not(self::hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']])]"
         id="d60707e34-true-d64135e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d60707e34-true-d64135e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d60707e34-true-d64135e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4130']|self::hl7:code[(@code='29554-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4107']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4108']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4109']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4110']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4111']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4112']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4113']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4114']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4115']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4116']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4118']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4119']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4120']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4121']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4122']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4123']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4117']]]|self::hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4125']]]|self::hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4126']]]|self::hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4252']]]|self::hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4127']]])]"
         id="d63312e7-true-d64984e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d63312e7-true-d64984e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d63312e7-true-d64984e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4107']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4107']])]"
         id="d63312e29-true-d65861e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d63312e29-true-d65861e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d63312e29-true-d65861e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4107']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4107']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4107']|self::hl7:code[(@code='HIM' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d65820e10-true-d65910e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d65820e10-true-d65910e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d65820e10-true-d65910e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4107']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4107']]/hl7:text/*[not(self::hl7:reference)]"
         id="d65820e26-true-d65968e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d65820e26-true-d65968e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d65820e26-true-d65968e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4108']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4108']])]"
         id="d63312e39-true-d66052e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d63312e39-true-d66052e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d63312e39-true-d66052e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4108']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4108']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4108']|self::hl7:code[(@code='EIT' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d66011e10-true-d66101e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d66011e10-true-d66101e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d66011e10-true-d66101e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4108']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4108']]/hl7:text/*[not(self::hl7:reference)]"
         id="d66011e26-true-d66159e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d66011e26-true-d66159e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d66011e26-true-d66159e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4109']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4109']])]"
         id="d63312e49-true-d66243e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d63312e49-true-d66243e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d63312e49-true-d66243e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4109']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4109']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4109']|self::hl7:code[(@code='SAH' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d66202e10-true-d66292e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d66202e10-true-d66292e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d66202e10-true-d66292e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4109']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4109']]/hl7:text/*[not(self::hl7:reference)]"
         id="d66202e26-true-d66350e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d66202e26-true-d66350e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d66202e26-true-d66350e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4110']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4110']])]"
         id="d63312e59-true-d66434e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d63312e59-true-d66434e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d63312e59-true-d66434e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4110']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4110']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4110']|self::hl7:code[(@code='CAH' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d66393e10-true-d66483e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d66393e10-true-d66483e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d66393e10-true-d66483e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4110']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4110']]/hl7:text/*[not(self::hl7:reference)]"
         id="d66393e26-true-d66541e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d66393e26-true-d66541e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d66393e26-true-d66541e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4111']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4111']])]"
         id="d63312e69-true-d66625e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d63312e69-true-d66625e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d63312e69-true-d66625e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4111']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4111']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4111']|self::hl7:code[(@code='TDR' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d66584e10-true-d66674e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d66584e10-true-d66674e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d66584e10-true-d66674e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4111']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4111']]/hl7:text/*[not(self::hl7:reference)]"
         id="d66584e26-true-d66732e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d66584e26-true-d66732e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d66584e26-true-d66732e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4111']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4111']]/hl7:value/*[not(self::hl7:qualifier[hl7:name/@code='20228-3'])]"
         id="d66584e46-true-d66775e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d66584e46-true-d66775e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d66584e46-true-d66775e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4111']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4111']]/hl7:value/hl7:qualifier[hl7:name/@code='20228-3']/*[not(self::hl7:name[(@code='20228-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.88-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])]"
         id="d66584e48-true-d66798e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d66584e48-true-d66798e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d66584e48-true-d66798e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4112']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4112']])]"
         id="d63312e79-true-d66874e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d63312e79-true-d66874e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d63312e79-true-d66874e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4112']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4112']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4112']|self::hl7:code[(@code='74206-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d66833e10-true-d66923e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d66833e10-true-d66923e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d66833e10-true-d66923e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4112']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4112']]/hl7:text/*[not(self::hl7:reference)]"
         id="d66833e26-true-d66981e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d66833e26-true-d66981e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d66833e26-true-d66981e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4113']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4113']])]"
         id="d63312e90-true-d67065e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d63312e90-true-d67065e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d63312e90-true-d67065e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4113']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4113']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4113']|self::hl7:code[(@code='PVZ' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d67024e10-true-d67114e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d67024e10-true-d67114e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d67024e10-true-d67114e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4113']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4113']]/hl7:text/*[not(self::hl7:reference)]"
         id="d67024e26-true-d67172e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d67024e26-true-d67172e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d67024e26-true-d67172e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4114']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4114']])]"
         id="d63312e100-true-d67262e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d63312e100-true-d67262e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d63312e100-true-d67262e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4114']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4114']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4114']|self::hl7:code[(@code='ZVK' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value|self::hl7:targetSiteCode[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.90-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])]"
         id="d67215e10-true-d67318e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d67215e10-true-d67318e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d67215e10-true-d67318e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4114']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4114']]/hl7:text/*[not(self::hl7:reference)]"
         id="d67215e26-true-d67382e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d67215e26-true-d67382e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d67215e26-true-d67382e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4114']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4114']]/hl7:value/*[not(self::hl7:qualifier[hl7:name/@code='20228-3'])]"
         id="d67215e46-true-d67425e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d67215e46-true-d67425e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d67215e46-true-d67425e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4114']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4114']]/hl7:value/hl7:qualifier[hl7:name/@code='20228-3']/*[not(self::hl7:name[(@code='20228-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.89-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])]"
         id="d67215e48-true-d67448e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d67215e48-true-d67448e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d67215e48-true-d67448e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4115']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4115']])]"
         id="d63312e110-true-d67540e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d63312e110-true-d67540e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d63312e110-true-d67540e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4115']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4115']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4115']|self::hl7:code[(@code='ARZ' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value|self::hl7:targetSiteCode[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.91-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.91-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code])]"
         id="d67493e10-true-d67596e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d67493e10-true-d67596e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d67493e10-true-d67596e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4115']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4115']]/hl7:text/*[not(self::hl7:reference)]"
         id="d67493e26-true-d67660e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d67493e26-true-d67660e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d67493e26-true-d67660e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4115']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4115']]/hl7:value/*[not(self::hl7:qualifier[hl7:name/@code='20228-3'])]"
         id="d67493e46-true-d67703e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d67493e46-true-d67703e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d67493e46-true-d67703e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4115']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4115']]/hl7:value/hl7:qualifier[hl7:name/@code='20228-3']/*[not(self::hl7:name[(@code='20228-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.89-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])]"
         id="d67493e48-true-d67726e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d67493e48-true-d67726e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d67493e48-true-d67726e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4116']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4116']])]"
         id="d63312e120-true-d67812e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d63312e120-true-d67812e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d63312e120-true-d67812e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4116']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4116']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4116']|self::hl7:code[(@code='IOZ' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d67771e10-true-d67861e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d67771e10-true-d67861e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d67771e10-true-d67861e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4116']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4116']]/hl7:text/*[not(self::hl7:reference)]"
         id="d67771e26-true-d67919e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d67771e26-true-d67919e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d67771e26-true-d67919e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4118']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4118']])]"
         id="d63312e130-true-d68003e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d63312e130-true-d68003e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d63312e130-true-d68003e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4118']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4118']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4118']|self::hl7:code[(@code='DEF' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d67962e10-true-d68052e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d67962e10-true-d68052e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d67962e10-true-d68052e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4118']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4118']]/hl7:text/*[not(self::hl7:reference)]"
         id="d67962e26-true-d68110e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d67962e26-true-d68110e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d67962e26-true-d68110e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4118']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4118']]/hl7:effectiveTime/*[not(self::hl7:low)]"
         id="d67962e40-true-d68148e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d67962e40-true-d68148e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d67962e40-true-d68148e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4119']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4119']])]"
         id="d63312e140-true-d68220e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d63312e140-true-d68220e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d63312e140-true-d68220e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4119']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4119']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4119']|self::hl7:code[(@code='BST' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value|self::hl7:methodeCode)]"
         id="d68175e10-true-d68274e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d68175e10-true-d68274e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d68175e10-true-d68274e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4119']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4119']]/hl7:text/*[not(self::hl7:reference)]"
         id="d68175e26-true-d68336e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d68175e26-true-d68336e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d68175e26-true-d68336e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4120']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4120']])]"
         id="d63312e151-true-d68432e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d63312e151-true-d68432e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d63312e151-true-d68432e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4120']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4120']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4120']|self::hl7:code[(@code='FRK' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value|self::hl7:methodeCode)]"
         id="d68387e10-true-d68486e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d68387e10-true-d68486e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d68387e10-true-d68486e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4120']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4120']]/hl7:text/*[not(self::hl7:reference)]"
         id="d68387e26-true-d68548e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d68387e26-true-d68548e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d68387e26-true-d68548e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4121']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4121']])]"
         id="d63312e161-true-d68640e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d63312e161-true-d68640e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d63312e161-true-d68640e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4121']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4121']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4121']|self::hl7:code[(@code='BEG' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d68599e10-true-d68689e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d68599e10-true-d68689e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d68599e10-true-d68689e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4121']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4121']]/hl7:text/*[not(self::hl7:reference)]"
         id="d68599e26-true-d68747e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d68599e26-true-d68747e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d68599e26-true-d68747e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4122']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4122']])]"
         id="d63312e171-true-d68831e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d63312e171-true-d68831e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d63312e171-true-d68831e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4122']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4122']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4122']|self::hl7:code[(@code='ANS' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d68790e10-true-d68880e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d68790e10-true-d68880e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d68790e10-true-d68880e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4122']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4122']]/hl7:text/*[not(self::hl7:reference)]"
         id="d68790e26-true-d68938e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d68790e26-true-d68938e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d68790e26-true-d68938e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4123']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4123']])]"
         id="d63312e181-true-d69022e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d63312e181-true-d69022e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d63312e181-true-d69022e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4123']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4123']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4123']|self::hl7:code[(@code='TPR' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d68981e10-true-d69071e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d68981e10-true-d69071e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d68981e10-true-d69071e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4123']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4123']]/hl7:text/*[not(self::hl7:reference)]"
         id="d68981e26-true-d69129e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d68981e26-true-d69129e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d68981e26-true-d69129e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4117']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4117']])]"
         id="d63312e191-true-d69213e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d63312e191-true-d69213e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d63312e191-true-d69213e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4117']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4117']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4117']|self::hl7:code[(@code='HDM' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d69172e10-true-d69262e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d69172e10-true-d69262e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d69172e10-true-d69262e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4117']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4117']]/hl7:text/*[not(self::hl7:reference)]"
         id="d69172e26-true-d69320e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d69172e26-true-d69320e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d69172e26-true-d69320e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4125']]]/*[not(self::hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4125']])]"
         id="d63312e201-true-d69400e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d63312e201-true-d69400e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d63312e201-true-d69400e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4125']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4125']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4125']|self::hl7:text|self::hl7:effectiveTime|self::hl7:doseQuantity|self::hl7:consumable[not(@nullFlavor)])]"
         id="d69363e10-true-d69444e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d69363e10-true-d69444e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d69363e10-true-d69444e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4125']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4125']]/hl7:text/*[not(self::hl7:reference)]"
         id="d69363e27-true-d69490e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d69363e27-true-d69490e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d69363e27-true-d69490e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4125']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4125']]/hl7:consumable[not(@nullFlavor)]/*[not(self::hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='B05BB' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]])]"
         id="d69363e48-true-d69536e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d69363e48-true-d69536e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d69363e48-true-d69536e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4125']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4125']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='B05BB' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]]/*[not(self::hl7:manufacturedMaterial[hl7:code[(@code='B05BB' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]])]"
         id="d69363e50-true-d69558e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d69363e50-true-d69558e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d69363e50-true-d69558e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4125']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4125']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='B05BB' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]]/hl7:manufacturedMaterial[hl7:code[(@code='B05BB' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]/*[not(self::hl7:code[(@code='B05BB' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)])]"
         id="d69363e54-true-d69580e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d69363e54-true-d69580e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d69363e54-true-d69580e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4126']]]/*[not(self::hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4126']])]"
         id="d63312e212-true-d69636e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d63312e212-true-d69636e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d63312e212-true-d69636e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4126']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4126']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4126']|self::hl7:text|self::hl7:effectiveTime|self::hl7:doseQuantity|self::hl7:consumable[not(@nullFlavor)])]"
         id="d69599e10-true-d69680e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d69599e10-true-d69680e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d69599e10-true-d69680e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4126']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4126']]/hl7:text/*[not(self::hl7:reference)]"
         id="d69599e27-true-d69726e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d69599e27-true-d69726e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d69599e27-true-d69726e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4126']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4126']]/hl7:consumable[not(@nullFlavor)]/*[not(self::hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='B05BC' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]])]"
         id="d69599e48-true-d69772e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d69599e48-true-d69772e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d69599e48-true-d69772e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4126']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4126']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='B05BC' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]]/*[not(self::hl7:manufacturedMaterial[hl7:code[(@code='B05BC' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]])]"
         id="d69599e50-true-d69794e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d69599e50-true-d69794e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d69599e50-true-d69794e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4126']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4126']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='B05BC' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]]/hl7:manufacturedMaterial[hl7:code[(@code='B05BC' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]/*[not(self::hl7:code[(@code='B05BC' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)])]"
         id="d69599e54-true-d69816e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d69599e54-true-d69816e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d69599e54-true-d69816e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4252']]]/*[not(self::hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4252']])]"
         id="d63312e222-true-d69868e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d63312e222-true-d69868e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d63312e222-true-d69868e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4252']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4252']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4252']|self::hl7:text|self::hl7:effectiveTime|self::hl7:consumable[not(@nullFlavor)])]"
         id="d69835e10-true-d69907e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d69835e10-true-d69907e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d69835e10-true-d69907e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4252']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4252']]/hl7:text/*[not(self::hl7:reference)]"
         id="d69835e27-true-d69949e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d69835e27-true-d69949e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d69835e27-true-d69949e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4252']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4252']]/hl7:consumable[not(@nullFlavor)]/*[not(self::hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='S01XA03' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]])]"
         id="d69835e42-true-d69987e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d69835e42-true-d69987e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d69835e42-true-d69987e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4252']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4252']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='S01XA03' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]]/*[not(self::hl7:manufacturedMaterial[hl7:code[(@code='S01XA03' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]])]"
         id="d69835e44-true-d70009e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d69835e44-true-d70009e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d69835e44-true-d70009e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4252']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4252']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='S01XA03' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]]/hl7:manufacturedMaterial[hl7:code[(@code='S01XA03' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]/*[not(self::hl7:code[(@code='S01XA03' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)])]"
         id="d69835e48-true-d70031e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d69835e48-true-d70031e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d69835e48-true-d70031e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4127']]]/*[not(self::hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4127']])]"
         id="d63312e232-true-d70083e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d63312e232-true-d70083e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d63312e232-true-d70083e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4127']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4127']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4127']|self::hl7:text|self::hl7:effectiveTime|self::hl7:consumable[not(@nullFlavor)])]"
         id="d70050e10-true-d70122e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d70050e10-true-d70122e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d70050e10-true-d70122e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4127']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4127']]/hl7:text/*[not(self::hl7:reference)]"
         id="d70050e27-true-d70164e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d70050e27-true-d70164e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d70050e27-true-d70164e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4127']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4127']]/hl7:effectiveTime/*[not(self::hl7:low)]"
         id="d70050e36-true-d70194e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d70050e36-true-d70194e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d70050e36-true-d70194e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4127']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4127']]/hl7:consumable[not(@nullFlavor)]/*[not(self::hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='C01CA' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]])]"
         id="d70050e45-true-d70224e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d70050e45-true-d70224e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d70050e45-true-d70224e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4127']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4127']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='C01CA' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]]/*[not(self::hl7:manufacturedMaterial[hl7:code[(@code='C01CA' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]])]"
         id="d70050e47-true-d70246e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d70050e47-true-d70246e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d70050e47-true-d70246e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3071']]/hl7:entry[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4127']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4127']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='C01CA' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]]/hl7:manufacturedMaterial[hl7:code[(@code='C01CA' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)]]/*[not(self::hl7:code[(@code='C01CA' and @codeSystem='2.16.840.1.113883.6.73')][not(@nullFlavor)])]"
         id="d70050e51-true-d70268e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d70050e51-true-d70268e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d70050e51-true-d70268e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']])]"
         id="d48662e44-true-d70920e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d48662e44-true-d70920e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d48662e44-true-d70920e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.3074']|self::hl7:code[(@code='30954-2' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:title[not(@nullFlavor)]|self::hl7:text[not(@nullFlavor)]|self::hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]])]"
         id="d70287e7-true-d71560e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d70287e7-true-d71560e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d70287e7-true-d71560e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/*[not(self::hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']])]"
         id="d70287e30-true-d72817e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d70287e30-true-d72817e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d70287e30-true-d72817e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4138']|self::hl7:code[(@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4139']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4140']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4251']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4141']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4142']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4144']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4145']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4146']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4147']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4148']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4149']]]|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4150']]])]"
         id="d72214e7-true-d73437e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d72214e7-true-d73437e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d72214e7-true-d73437e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4139']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4139']])]"
         id="d72214e29-true-d74094e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d72214e29-true-d74094e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d72214e29-true-d74094e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4139']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4139']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4139']|self::hl7:code[(@code='11558-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:effectiveTime|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:value)]"
         id="d74053e10-true-d74143e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d74053e10-true-d74143e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d74053e10-true-d74143e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4139']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4139']]/hl7:text/*[not(self::hl7:reference)]"
         id="d74053e26-true-d74201e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d74053e26-true-d74201e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d74053e26-true-d74201e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4140']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4140']])]"
         id="d72214e39-true-d74285e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d72214e39-true-d74285e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d72214e39-true-d74285e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4140']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4140']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4140']|self::hl7:code[(@code='11555-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:effectiveTime|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:value)]"
         id="d74244e10-true-d74334e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d74244e10-true-d74334e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d74244e10-true-d74334e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4140']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4140']]/hl7:text/*[not(self::hl7:reference)]"
         id="d74244e26-true-d74392e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d74244e26-true-d74392e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d74244e26-true-d74392e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4251']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4251']])]"
         id="d72214e49-true-d74480e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d72214e49-true-d74480e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d72214e49-true-d74480e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4251']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4251']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4251']|self::hl7:id|self::hl7:code[(@code='11556-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d74435e10-true-d74534e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d74435e10-true-d74534e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d74435e10-true-d74534e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4251']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4251']]/hl7:text/*[not(self::hl7:reference)]"
         id="d74435e29-true-d74604e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d74435e29-true-d74604e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d74435e29-true-d74604e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4141']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4141']])]"
         id="d72214e59-true-d74688e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d72214e59-true-d74688e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d72214e59-true-d74688e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4141']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4141']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4141']|self::hl7:code[(@code='718-7' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:effectiveTime|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:value)]"
         id="d74647e10-true-d74737e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d74647e10-true-d74737e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d74647e10-true-d74737e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4141']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4141']]/hl7:text/*[not(self::hl7:reference)]"
         id="d74647e26-true-d74795e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d74647e26-true-d74795e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d74647e26-true-d74795e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4142']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4142']])]"
         id="d72214e69-true-d74879e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d72214e69-true-d74879e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d72214e69-true-d74879e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4142']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4142']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4142']|self::hl7:code[(@code='26515-7' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:effectiveTime|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:value)]"
         id="d74838e10-true-d74928e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d74838e10-true-d74928e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d74838e10-true-d74928e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4142']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4142']]/hl7:text/*[not(self::hl7:reference)]"
         id="d74838e26-true-d74986e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d74838e26-true-d74986e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d74838e26-true-d74986e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4144']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4144']])]"
         id="d72214e79-true-d75070e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d72214e79-true-d75070e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d72214e79-true-d75070e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4144']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4144']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4144']|self::hl7:code[(@code='5964-2' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:effectiveTime|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:value)]"
         id="d75029e10-true-d75119e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d75029e10-true-d75119e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d75029e10-true-d75119e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4144']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4144']]/hl7:text/*[not(self::hl7:reference)]"
         id="d75029e26-true-d75177e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d75029e26-true-d75177e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d75029e26-true-d75177e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4145']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4145']])]"
         id="d72214e90-true-d75261e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d72214e90-true-d75261e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d72214e90-true-d75261e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4145']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4145']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4145']|self::hl7:code[(@code='52767-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:effectiveTime|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:value)]"
         id="d75220e10-true-d75310e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d75220e10-true-d75310e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d75220e10-true-d75310e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4145']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4145']]/hl7:text/*[not(self::hl7:reference)]"
         id="d75220e26-true-d75368e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d75220e26-true-d75368e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d75220e26-true-d75368e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4146']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4146']])]"
         id="d72214e100-true-d75452e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d72214e100-true-d75452e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d72214e100-true-d75452e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4146']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4146']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4146']|self::hl7:code[(@code='34714-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:effectiveTime|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:value)]"
         id="d75411e10-true-d75501e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d75411e10-true-d75501e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d75411e10-true-d75501e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4146']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4146']]/hl7:text/*[not(self::hl7:reference)]"
         id="d75411e26-true-d75559e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d75411e26-true-d75559e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d75411e26-true-d75559e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4147']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4147']])]"
         id="d72214e110-true-d75643e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d72214e110-true-d75643e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d72214e110-true-d75643e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4147']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4147']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4147']|self::hl7:code[(@code='3255-7' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:effectiveTime|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:value)]"
         id="d75602e10-true-d75692e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d75602e10-true-d75692e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d75602e10-true-d75692e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4147']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4147']]/hl7:text/*[not(self::hl7:reference)]"
         id="d75602e26-true-d75750e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d75602e26-true-d75750e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d75602e26-true-d75750e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4148']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4148']])]"
         id="d72214e120-true-d75834e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d72214e120-true-d75834e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d72214e120-true-d75834e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4148']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4148']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4148']|self::hl7:code[(@code='1994-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:effectiveTime|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:value)]"
         id="d75793e10-true-d75883e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d75793e10-true-d75883e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d75793e10-true-d75883e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4148']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4148']]/hl7:text/*[not(self::hl7:reference)]"
         id="d75793e26-true-d75941e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d75793e26-true-d75941e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d75793e26-true-d75941e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4149']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4149']])]"
         id="d72214e130-true-d76025e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d72214e130-true-d76025e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d72214e130-true-d76025e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4149']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4149']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4149']|self::hl7:code[(@code='5643-2' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:effectiveTime|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:value)]"
         id="d75984e10-true-d76074e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d75984e10-true-d76074e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d75984e10-true-d76074e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4149']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4149']]/hl7:text/*[not(self::hl7:reference)]"
         id="d75984e26-true-d76132e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d75984e26-true-d76132e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d75984e26-true-d76132e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4150']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4150']])]"
         id="d72214e140-true-d76330e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d72214e140-true-d76330e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d72214e140-true-d76330e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4150']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4150']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4150']|self::hl7:code[(@code='52765-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:effectiveTime|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:value|self::hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4151']]]|self::hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4152']]]|self::hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4153']]])]"
         id="d76175e10-true-d76496e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d76175e10-true-d76496e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d76175e10-true-d76496e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4150']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4150']]/hl7:text/*[not(self::hl7:reference)]"
         id="d76175e26-true-d76667e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d76175e26-true-d76667e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d76175e26-true-d76667e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4150']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4150']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4151']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4151']])]"
         id="d76175e52-true-d76751e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d76175e52-true-d76751e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d76175e52-true-d76751e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4150']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4150']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4151']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4151']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4151']|self::hl7:code[(@code=' 52789-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:effectiveTime|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:value)]"
         id="d76710e7-true-d76800e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d76710e7-true-d76800e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d76710e7-true-d76800e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4150']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4150']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4151']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4151']]/hl7:text/*[not(self::hl7:reference)]"
         id="d76710e23-true-d76858e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d76710e23-true-d76858e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d76710e23-true-d76858e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4150']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4150']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4152']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4152']])]"
         id="d76175e59-true-d76942e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d76175e59-true-d76942e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d76175e59-true-d76942e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4150']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4150']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4152']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4152']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4152']|self::hl7:code[(@code=' 52778-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:effectiveTime|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:value)]"
         id="d76901e7-true-d76991e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d76901e7-true-d76991e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d76901e7-true-d76991e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4150']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4150']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4152']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4152']]/hl7:text/*[not(self::hl7:reference)]"
         id="d76901e23-true-d77049e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d76901e23-true-d77049e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d76901e23-true-d77049e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4150']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4150']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4153']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4153']])]"
         id="d76175e66-true-d77133e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d76175e66-true-d77133e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d76175e66-true-d77133e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4150']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4150']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4153']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4153']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4153']|self::hl7:code[(@code='X-CLOTF-A10' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:effectiveTime|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:value)]"
         id="d77092e7-true-d77182e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d77092e7-true-d77182e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d77092e7-true-d77182e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3074']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4138']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4150']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4150']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4153']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4153']]/hl7:text/*[not(self::hl7:reference)]"
         id="d77092e23-true-d77240e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d77092e23-true-d77240e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d77092e23-true-d77240e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3075']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3075']])]"
         id="d48662e51-true-d77346e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d48662e51-true-d77346e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d48662e51-true-d77346e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3075']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3075']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.3075']|self::hl7:code[(@code='34856-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:title[not(@nullFlavor)]|self::hl7:text[not(@nullFlavor)]|self::hl7:entry[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4154']]])]"
         id="d77283e7-true-d77416e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d77283e7-true-d77416e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d77283e7-true-d77416e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3075']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3075']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4154']]]/*[not(self::hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4154']])]"
         id="d77283e30-true-d77533e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d77283e30-true-d77533e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d77283e30-true-d77533e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3075']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3075']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4154']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4154']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4154']|self::hl7:text|self::hl7:effectiveTime|self::hl7:consumable[not(@nullFlavor)])]"
         id="d77500e7-true-d77572e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d77500e7-true-d77572e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d77500e7-true-d77572e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3075']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3075']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4154']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4154']]/hl7:text/*[not(self::hl7:reference)]"
         id="d77500e24-true-d77614e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d77500e24-true-d77614e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d77500e24-true-d77614e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3075']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3075']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4154']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4154']]/hl7:consumable[not(@nullFlavor)]/*[not(self::hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.83-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.83-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]]])]"
         id="d77500e39-true-d77654e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d77500e39-true-d77654e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d77500e39-true-d77654e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3075']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3075']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4154']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4154']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.83-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.83-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]]]/*[not(self::hl7:manufacturedMaterial[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.83-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.83-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]])]"
         id="d77500e41-true-d77682e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d77500e41-true-d77682e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d77500e41-true-d77682e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3075']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3075']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4154']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4154']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.83-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.83-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]]]/hl7:manufacturedMaterial[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.83-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.83-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]]/*[not(self::hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.83-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.83-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code])]"
         id="d77500e45-true-d77710e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d77500e45-true-d77710e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d77500e45-true-d77710e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']])]"
         id="d48662e58-true-d78070e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d48662e58-true-d78070e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d48662e58-true-d78070e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.3076']|self::hl7:code[(@code='78322-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:title[not(@nullFlavor)]|self::hl7:text[not(@nullFlavor)]|self::hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4155']]]|self::hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4156']]]|self::hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4157']]]|self::hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4158']]]|self::hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4159']]]|self::hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4160']]]|self::hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4161']]]|self::hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4162']]])]"
         id="d77733e7-true-d78421e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d77733e7-true-d78421e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d77733e7-true-d78421e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4155']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4155']])]"
         id="d77733e30-true-d78820e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d77733e30-true-d78820e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d77733e30-true-d78820e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4155']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4155']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4155']|self::hl7:code[(@code='HDE' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:effectiveTime|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:value)]"
         id="d78779e10-true-d78869e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d78779e10-true-d78869e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d78779e10-true-d78869e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4155']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4155']]/hl7:text/*[not(self::hl7:reference)]"
         id="d78779e26-true-d78927e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d78779e26-true-d78927e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d78779e26-true-d78927e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4156']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4156']])]"
         id="d77733e40-true-d79011e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d77733e40-true-d79011e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d77733e40-true-d79011e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4156']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4156']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4156']|self::hl7:code[(@code='LAM' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:effectiveTime|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:value)]"
         id="d78970e10-true-d79060e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d78970e10-true-d79060e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d78970e10-true-d79060e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4156']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4156']]/hl7:text/*[not(self::hl7:reference)]"
         id="d78970e26-true-d79118e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d78970e26-true-d79118e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d78970e26-true-d79118e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4157']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4157']])]"
         id="d77733e50-true-d79202e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d77733e50-true-d79202e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d77733e50-true-d79202e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4157']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4157']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4157']|self::hl7:code[(@code='THX' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:effectiveTime|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:value)]"
         id="d79161e10-true-d79251e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d79161e10-true-d79251e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d79161e10-true-d79251e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4157']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4157']]/hl7:text/*[not(self::hl7:reference)]"
         id="d79161e26-true-d79309e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d79161e26-true-d79309e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d79161e26-true-d79309e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4158']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4158']])]"
         id="d77733e60-true-d79393e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d77733e60-true-d79393e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d77733e60-true-d79393e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4158']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4158']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4158']|self::hl7:code[(@code='LPX' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:effectiveTime|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:value)]"
         id="d79352e10-true-d79442e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d79352e10-true-d79442e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d79352e10-true-d79442e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4158']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4158']]/hl7:text/*[not(self::hl7:reference)]"
         id="d79352e26-true-d79500e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d79352e26-true-d79500e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d79352e26-true-d79500e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4159']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4159']])]"
         id="d77733e70-true-d79584e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d77733e70-true-d79584e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d77733e70-true-d79584e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4159']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4159']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4159']|self::hl7:code[(@code='RVS' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:effectiveTime|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:value)]"
         id="d79543e10-true-d79633e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d79543e10-true-d79633e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d79543e10-true-d79633e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4159']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4159']]/hl7:text/*[not(self::hl7:reference)]"
         id="d79543e26-true-d79691e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d79543e26-true-d79691e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d79543e26-true-d79691e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4160']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4160']])]"
         id="d77733e80-true-d79775e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d77733e80-true-d79775e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d77733e80-true-d79775e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4160']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4160']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4160']|self::hl7:code[(@code='EMB' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:effectiveTime|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:value)]"
         id="d79734e10-true-d79824e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d79734e10-true-d79824e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d79734e10-true-d79824e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4160']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4160']]/hl7:text/*[not(self::hl7:reference)]"
         id="d79734e26-true-d79882e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d79734e26-true-d79882e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d79734e26-true-d79882e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4161']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4161']])]"
         id="d77733e91-true-d79966e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d77733e91-true-d79966e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d77733e91-true-d79966e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4161']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4161']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4161']|self::hl7:code[(@code='BSB' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:effectiveTime|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:value)]"
         id="d79925e10-true-d80015e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d79925e10-true-d80015e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d79925e10-true-d80015e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4161']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4161']]/hl7:text/*[not(self::hl7:reference)]"
         id="d79925e26-true-d80073e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d79925e26-true-d80073e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d79925e26-true-d80073e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4162']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4162']])]"
         id="d77733e101-true-d80157e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d77733e101-true-d80157e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d77733e101-true-d80157e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4162']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4162']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4162']|self::hl7:code[(@code='STE' and @codeSystem='1.2.276.0.76.5.79')][not(@nullFlavor)]|self::hl7:text|self::hl7:effectiveTime|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:value)]"
         id="d80116e10-true-d80206e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d80116e10-true-d80206e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d80116e10-true-d80206e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3076']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4162']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4162']]/hl7:text/*[not(self::hl7:reference)]"
         id="d80116e26-true-d80264e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d80116e26-true-d80264e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d80116e26-true-d80264e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3078']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3078']])]"
         id="d48662e65-true-d80340e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d48662e65-true-d80340e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d48662e65-true-d80340e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3073']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3078']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3078']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.3078']|self::hl7:code[(@code='19005-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:title[not(@nullFlavor)]|self::hl7:text[not(@nullFlavor)])]"
         id="d80307e7-true-d80379e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d80307e7-true-d80379e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d80307e7-true-d80379e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3077']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3077']])]"
         id="d127e175-true-d80559e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d127e175-true-d80559e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d127e175-true-d80559e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3077']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3077']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.3077']|self::hl7:code[(@code='78322-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:title[not(@nullFlavor)]|self::hl7:text[not(@nullFlavor)]|self::hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4048']]])]"
         id="d80434e7-true-d80691e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d80434e7-true-d80691e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d80434e7-true-d80691e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3077']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3077']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4048']]]/*[not(self::hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4048']])]"
         id="d80434e33-true-d80932e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d80434e33-true-d80932e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d80434e33-true-d80932e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3077']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3077']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4048']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4048']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4048']|self::hl7:id[not(@nullFlavor)]|self::hl7:code[(@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')][not(@nullFlavor)]|self::hl7:statusCode[@code=doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4049']]])]"
         id="d80837e7-true-d81035e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d80837e7-true-d81035e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d80837e7-true-d81035e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3077']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3077']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4048']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4048']]/hl7:effectiveTime/*[not(self::hl7:low|self::hl7:high)]"
         id="d80837e31-true-d81170e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d80837e31-true-d81170e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d80837e31-true-d81170e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3077']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3077']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4048']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4048']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4049']]]/*[not(self::hl7:sequenceNumber|self::hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4049']])]"
         id="d80837e38-true-d81265e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d80837e38-true-d81265e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d80837e38-true-d81265e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3077']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3077']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4048']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4048']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4049']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4049']]/*[not(self::hl7:templateId[@root='1.2.276.0.76.10.4049']|self::hl7:id[not(@nullFlavor)]|self::hl7:code[(@code='75324-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d81201e16-true-d81335e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d81201e16-true-d81335e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d81201e16-true-d81335e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3077']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3077']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4048']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4048']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4049']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4049']]/hl7:text/*[not(self::hl7:reference)]"
         id="d81201e41-true-d81409e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d81201e41-true-d81409e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d81201e41-true-d81409e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3077']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3077']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4048']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4048']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4049']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4049']]/hl7:effectiveTime/*[not(self::hl7:low|self::hl7:high)]"
         id="d81201e61-true-d81452e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d81201e61-true-d81452e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d81201e61-true-d81452e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3077']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3077']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4048']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4048']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4049']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4049']]/hl7:value/*[not(self::hl7:originalText|self::hl7:qualifier[hl7:name/@code='8']|self::hl7:qualifier[hl7:name/@code='FSTAT']|self::hl7:qualifier[hl7:name/@code='20228-3'])]"
         id="d81201e75-true-d81500e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d81201e75-true-d81500e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d81201e75-true-d81500e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3077']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3077']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4048']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4048']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4049']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4049']]/hl7:value/hl7:qualifier[hl7:name/@code='8']/*[not(self::hl7:name[(@code='8' and @codeSystem='2.16.840.1.113883.3.7.1.0')][not(@nullFlavor)]|self::hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.121-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])]"
         id="d81524e7-true-d81542e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.90027-2017-03-02T000000.html"
              test="not(.)">(Certainty)/d81524e7-true-d81542e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d81524e7-true-d81542e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3077']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3077']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4048']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4048']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4049']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4049']]/hl7:value/hl7:qualifier[hl7:name/@code='FSTAT']/*[not(self::hl7:name[(@code='FSTAT' and @codeSystem='1.2.276.0.76.3.1.195.5.72')][not(@nullFlavor)]|self::hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.73-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])]"
         id="d81201e103-true-d81592e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.1021-2016-11-01T000000.html"
              test="not(.)">(TraumaSummaryCDAdocument)/d81201e103-true-d81592e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d81201e103-true-d81592e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='1.2.276.0.76.10.1021']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3077']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3077']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4048']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4048']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4049']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4049']]/hl7:value/hl7:qualifier[hl7:name/@code='20228-3']/*[not(self::hl7:name[(@code='20228-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code])]"
         id="d81626e7-true-d81644e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.90026-2017-02-13T000000.html"
              test="not(.)">(Laterality)/d81626e7-true-d81644e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d81626e7-true-d81644e0)</assert>
   </rule>
</pattern>
